Subject: bug#28139: 25.2; TRAMP vs bash 4.4 / readline 7.0 "bracketed paste" mode

From: Daniel Pittman <[email-masked]>
Date: Thu, 24 Aug 2017 15:52:59 -0400

On Mon, Aug 21, 2017 at 12:17 PM, Michael Albinus <[email-masked]>
wrote:

> Tramp does already something like this on its own, using
> `tramp-display-escape-sequence-regexp' and
> `tramp-device-escape-sequence-regexp'. Let me check, whether I could
> rewrite this to the more general `ansi-color-filter-region`.
>

So it does, in versions newer than what is shipped with Emacs.  Is the
current release of TRAMP available through any ELPA style package
repository, or do I need obtain and compile it myself to use it ahead of
the built-in?  I'll certainly do that, but I'm lazy.

> (I wouldn't reject a patch from your side :-)
>

If I confirm it still exists in the current version I'll try and cut a
patch for this, but my contribution time is limited, I'm afraid.